<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:a="http://xmlns.jcp.org/jsf/passthrough"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui">
    <h:body>   
        <div class="container">
            <h2>#{msgs.zeroSales}</h2>
            <h:form styleClass="form-inline">
                <p:message for="toDate"/>
                <div class="form-group mb-2">
                    <h:outputLabel for="fromDate" class="sr-only" value="from"/> 
                    <h:inputText class="form-control" id="fromDate" value="#{reportBackingBean.fromDate}" a:type="date" > 
                        <f:ajax event="change" execute="@form" listener="#{reportBackingBean.ZeroSaleBooks()}" render="ZeroBooks"/>
                    </h:inputText>
                </div>
                <div class="form-group mx-sm-3 mb-2">
                    <h:outputLabel for="toDate" class="sr-only" value="to"/> 
                    <h:inputText class="form-control" id="toDate" value="#{reportBackingBean.toDate}" a:type="date"
                                 validator="#{reportBackingBean.validateDateRange}"> 
                        <f:ajax event="change" execute="@form" listener="#{reportBackingBean.ZeroSaleBooks()}" render="ZeroBooks"/>
                    </h:inputText>
                </div>

            </h:form>
            <h:form id="ZeroBooks">
                <p:growl id="growl" showDetail="true"/>
                <h:panelGroup id="datatable">
                    <p:dataTable value="#{reportBackingBean.zeroSales}"
                                 emptyMessage="#{msgs.noBooksFound}"
                                 var="books"
                                 widgetVar="bookTable"
                                 editable="true"
                                 paginator="true"
                                 paginatorTemplate="{CurrentPageReport} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown}"
                                 currentPageReportTemplate="{startRecord}-{endRecord} of {totalRecords} records"
                                 rowsPerPageTemplate="5,10,30,100"
                                 rows="10">

                        <p:column>
                            <f:facet name="header">#{msgs.title}</f:facet>
                                #{books.title}
                        </p:column>
                        <p:column>
                            <f:facet name="header">#{msgs.listPrice}</f:facet>
                            #{books.listPrice} $  
                        </p:column>
                        <p:column>
                            <f:facet name="header">#{msgs.image}</f:facet>
                            <p:graphicImage library="images" name="coverImages/#{books.imageUrl}" height="150" width="90" />
                        </p:column>
                    </p:dataTable>
                </h:panelGroup>
            </h:form>
        </div>
    </h:body>
</html>
